Pular para o conteúdo principal
GET
/
webhooks
/
{id}
cURL
curl --request GET \
  --url https://public-api.kiwify.com/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-kiwify-account-id: <api-key>'
{
  "id": "c2be7f8e-b373-4eb7-b623-16ce98d5ed44",
  "name": "meu webhook",
  "url": "https://webhook.site/73d28a2b-6c48-41e0-a8ad-0d5ef748ce41",
  "products": "ba22c4a0-5c94-11ee-9c2d-8d32d7a17894",
  "triggers": [
    "boleto_gerado",
    "pix_gerado",
    "carrinho_abandonado",
    "compra_recusada",
    "compra_aprovada",
    "compra_reembolsada",
    "chargeback",
    "subscription_canceled",
    "subscription_late",
    "subscription_renewed"
  ],
  "token": "rxue90njjv1",
  "created_at": "2023-11-24T10:06:47.540Z",
  "updated_at": "2023-11-24T10:06:47.540Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.kiwify.com.br/llms.txt

Use this file to discover all available pages before exploring further.

Autorizações

x-kiwify-account-id
string
header
obrigatório
Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

id
string
obrigatório

Resposta

Webhook data

id
string
Exemplo:

"3d379edc-9e21-47ee-8974-ca80a4c7839d"

name
string
Exemplo:

"Meu Webhook"

url
string
Exemplo:

"https://webhook.site/73d28a2b-6c48-41e0-a8ad-0d5ef748ce41"

products
string
Exemplo:

"all"

triggers
enum<string>[]
Opções disponíveis:
boleto_gerado,
pix_gerado,
carrinho_abandonado,
compra_recusada,
compra_aprovada,
compra_reembolsada,
chargeback,
subscription_canceled,
subscription_late,
subscription_renewed
Exemplo:
[
"boleto_gerado",
"pix_gerado",
"carrinho_abandonado",
"compra_recusada",
"compra_aprovada",
"compra_reembolsada",
"chargeback",
"subscription_canceled",
"subscription_late",
"subscription_renewed"
]
token
string
Exemplo:

"rxue90njjv1"

created_at
string
Exemplo:

"2023-11-24T10:06:47.540Z"

updated_at
string
Exemplo:

"2023-11-24T10:06:47.540Z"